Subject: bug#70979: test suite failures on Solaris 11

From: Bruno Haible <[email-masked]>
Date: Sat, 08 Jun 2024 13:04:13 +0200

Hi Ileana,

> >    ld: fatal: file libgcc-unwind.map: stat failed: No such file or directory
> 
> This has been fixed in development! Thank you for the bug report
> and logs.

Thanks for the fix!

> Also on Solaris 11.4, test-update-copyright.sh from gnulib appears to be
> failing. Does this look like an issue with libtool's copyright or should
> I report a gnulib bug? It is confusing to me that it is only happening
> on Solaris.

I encountered this error already while working on the Gnulib CI [1].
According to my analysis, the problem is that the initially set locale
on this GitHub system is invalid. I therefore now copied the workaround/fix
from the Gnulib CI to the libtool CI (both branches).

Bruno

[1] https://github.com/gnu-gnulib/ci-testdir-check